﻿<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output
    method="xml"
    indent="yes"
    encoding="Windows-1250"
    omit-xml-declaration="yes"    
    />
  
  <!-- najvyssia uroven dokumentu -->
  <xsl:template match="/">
    <html>
      <head>
        <link rel="STYLESHEET" href="styly.css" type="text/css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=windows-1250"/>
        <title>Přehled o hlasování</title>
      </head>
      <body>
        <xsl:apply-templates select="VotingResult" />
      </body>
    </html>
  </xsl:template>
  
  <!-- samotny vysledok hlasovania -->
  <xsl:template match="VotingResult">
        <center>
          <table>
            <tr>
              <td align="center">
                <font class="nadpis_blue">
                  <xsl:value-of select="@ctxOznacenieZasadnutia" />
                </font>
              </td>
            </tr>
            <tr>
              <td align="center">
                <xsl:value-of select="@ctxOznacenieHlasovania" />
              </td>
            </tr>
            <tr>
              <td align="center">
                <font class="nadpis_ora">
                  <xsl:value-of select="Topic"/>
                </font>
              </td>
            </tr>
            <tr>
              <td align="center">
                <xsl:value-of select="@ctxPoznamkaKHlasovaniu" />
              </td>
            </tr>
          </table>
        </center>
        <br />
        <center>
          <table cellspacing="0" width="100%" style="border: solid 1px black; padding: 1mm 1mm 1mm 1mm;">
            <tr>
              <td align="center" style="font-size: 12pt;">
                <!-- text ci bolo alebo nebolo prijate -->
                <b>
                  <xsl:value-of select="@ctxVysledokAkoText" />
                </b>
              </td>
            </tr>
          </table>
        </center>
        <center>
          <table cellpadding="0" cellspacing="0" width="100%" style="border: solid 1px black;
            font-size: 4mm;">
            <tr>
              <td width="100%">
                <table width="100%" border="0" style="font-size: 14px;">
                  <tr>
                    <td style="font-size: 14px;">
                      <!-- todo: doplnene ASP, ujasnit ako to autor zamyslal! -->
                    </td>
                    <!-- todo: end -->

                    <td width="20%" align="left">
                      <xsl:value-of select="@ctxTextPritomni"/>
                    </td>
                    <td width="20%" align="center">
                      <xsl:value-of select="@ctxTextZa"/>
                    </td>
                    <td width="20%" align="center">
                      <xsl:value-of select="@ctxTextProti"/>
                    </td>
                    <td width="20%" align="center">
                      <xsl:value-of select="@ctxTextZdrzaliSa"/>
                    </td>
                    <td width="20%" align="right">
                      <xsl:value-of select="@ctxTextNehlasovali"/>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
        </center>
        <br />
        <center>
          <xsl:apply-templates select="deputy_group" />
        </center>
  </xsl:template>

  <!-- zaramovana tabulka o hlasovani poslancov jedneho poslaneckeho klubu -->
  <xsl:template match="deputy_group">
    <table width="90%" border="0" cellspacing="0" style="margin-bottom: 2mm; border: solid 1px black;">
      <tr>
        <td>
          <table width="100%" border="0">
            <tr>
              <th>
                <xsl:value-of select="@label"/>
              </th>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        
       <!-- poslanci sem -->

        <td>
          <table width="100%" border="0">
              <xsl:for-each select="Deputy" >
                <!-- umiestnime poslancov da riadku po troch -->
                <xsl:if test="(position() mod 3) = 1">
                  <tr>
                    <xsl:variable name="position" select="position()" />

                    <xsl:apply-templates select="../Deputy[$position] | ../Deputy[$position+1] | ../Deputy[$position+2]" />
                  </tr>
                </xsl:if>
              </xsl:for-each>
          </table>
        </td>
      </tr>
    </table>
  </xsl:template>

  <!-- udaje o hlasovani jedneho poslanca ( dva stlpce v tabulke poslaneckeho klubu ) -->
  <xsl:template match="Deputy">
    <td align="right" nowrap="" style="font-size: 8pt; font-family: Arial, Arial CE, Courier">
      <xsl:value-of select="@ctxPlneMeno" />
    </td>
    <td align="left" nowrap="" style="font-size: 9pt; font-family: Arial, Arial CE, Courier">
      <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
      <xsl:value-of select="@ctxSposobHlasovania" />
    </td>
  </xsl:template>

</xsl:stylesheet>