﻿<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output
    method="xml"
    indent="yes"
    encoding="Windows-1250"
    omit-xml-declaration="yes"    
    />
  
  <!-- najvyssia uroven dokumentu -->
  <xsl:template match="/">
    <html>
      <head>
        <link rel="STYLESHEET" href="styly.css" type="text/css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=windows-1250"/>
        <title>Přehled o hlasování</title>
      </head>
      <body>
        <xsl:apply-templates select="VotingResult" />
      </body>
    </html>
  </xsl:template>
  
  <!-- samotny vysledok hlasovania -->
  <xsl:template match="VotingResult">
        <center>
          <table>
            <tr>
              <td align="center">
                <font class="nadpis_blue">
                  <xsl:value-of select="@ctxOznacenieZasadnutia" />
                </font>
              </td>
            </tr>
            <tr>
              <td align="center">
                <xsl:value-of select="@ctxOznacenieHlasovania" />
              </td>
            </tr>
            <tr>
              <td align="center">
                <font class="nadpis_ora">
                  <xsl:value-of select="Topic"/>
                </font>
              </td>
            </tr>
            <tr>
              <td align="center">
                <xsl:value-of select="@ctxPoznamkaKHlasovaniu" />
              </td>
            </tr>
          </table>
          <table border="1" bordercolor="black" width="100%">
            <tr>
              <td align="center">
                <!-- text ci bolo alebo nebolo prijate -->
                <font class="nadpis_blue">
                  <xsl:value-of select="@ctxVysledokAkoText" />
                </font>
              </td>
            </tr>
          </table>
          <table width="100%">
            <tr>
              <td width="20%">
                <font class="nadpis_vysl">
                  <xsl:value-of select="@ctxTextPritomni"/>
                </font>
              </td>
              <td width="20%">
                <font class="nadpis_vysl">
                  <xsl:value-of select="@ctxTextZa"/>
                </font>
              </td>
              <td width="20%">
                <font class="nadpis_vysl">
                  <xsl:value-of select="@ctxTextProti"/>
                </font>
              </td>
            </tr>

            <tr>
              <td width="20%">
                <font class="nadpis_vysl">
                  <xsl:value-of select="@ctxTextZdrzaliSa"/>
                </font>
              </td>
            </tr>
            <tr>
              <td width="20%">
                <font class="nadpis_vysl">
                  <xsl:value-of select="@ctxTextNehlasovali"/>
                </font>
              </td>              
            </tr>
          </table>
          <xsl:apply-templates select="deputy_group" />
        </center>
  </xsl:template>

  <!-- zaramovana tabulka o hlasovani poslancov jedneho poslaneckeho klubu -->
  <xsl:template match="deputy_group">
    <table width="90%" border="0" cellspacing="0">
      <tr>
        <td>
          <table width="100%" border="0">
            <tr>
              <th width="100%" align="left">
                <xsl:value-of select="@label"/>
                <xsl:value-of select="@votingResult"/>
              </th>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        
       <!-- poslanci sem -->

        <td>
          <table width="100%" border="0">
              <xsl:for-each select="Deputy" >
                <!-- umiestnime poslancov da riadku po troch -->
                <xsl:if test="(position() mod 4) = 1">
                  <tr>
                    <xsl:variable name="position" select="position()" />

                    <xsl:apply-templates select="../Deputy[$position] | ../Deputy[$position+1] | ../Deputy[$position+2] | ../Deputy[$position+3] " />
                  </tr>
                </xsl:if>
              </xsl:for-each>
          </table>
        </td>
      </tr>
    </table>
  </xsl:template>

  <!-- udaje o hlasovani jedneho poslanca ( dva stlpce v tabulke poslaneckeho klubu ) -->
  <xsl:template match="Deputy">
    <td align="right" nowrap="" width ="20%">    
      <xsl:value-of select="@ctxPlneMeno" />
    </td>
    <td align="left" nowrap="" width ="5%">    
      <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
      <xsl:value-of select="@ctxSposobHlasovania" />
    </td>
  </xsl:template>

</xsl:stylesheet>