﻿<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output
    method="xml"
    indent="yes"
    omit-xml-declaration="yes" 
    encoding="windows-1250"
    />
  
  <!-- najvyssia uroven dokumentu -->
  <xsl:template match="/">
    <html>
      <head>
        <link rel="STYLESHEET" href="styly.css" type="text/css"></link>
        <meta http-equiv="Content-Type" content="text/html; charset=windows-1250"/>
        <title>Přehled o hlasování</title>
      </head>
      <body>
        <xsl:apply-templates select="VotingResult" />
      </body>
    </html>
  </xsl:template>
  
  <!-- samotny vysledok hlasovania -->
  <xsl:template match="VotingResult">
        <center>
          <table>
            <tr>
              <td align="center">
                <font class="nadpis_blue">
                  <xsl:value-of select="/VotingResult/Session"/>
                  <xsl:value-of select="' '"/>
                  <xsl:value-of select="/VotingResult/@time"/>
                </font>
              </td>
            </tr>
            <tr>
              <td align="center">
                <xsl:value-of select="@number"/>
                <xsl:value-of select="'. hlasování'"/>
                <xsl:if test="Topic/@number !=0">
                  <xsl:value-of select="', bod '"/>
                  <xsl:value-of select="Topic/@number"/>
                </xsl:if>
                
                
              </td>
            </tr>
            <tr>
              <td align="center">
                <font class="nadpis_ora">
                  <xsl:value-of select="Topic"/>
                </font>
              </td>
            </tr>
            <tr>
              <td align="center">
                <xsl:choose>
                  <xsl:when test="@category = 8">
                    <xsl:if test="Comment != ''">
                      (<xsl:value-of select="Comment"/>)
                    </xsl:if>
                  </xsl:when>
                  
                  <xsl:otherwise>                    
                    <xsl:choose>
                      <xsl:when test="Comment != ''">
                        (<xsl:value-of select="@category_label"/>
                        <xsl:value-of select="' - '"/>
                        <xsl:value-of select="Comment"/>)
                      </xsl:when>
                      <xsl:otherwise>
                        (<xsl:value-of select="@category_label"/>)
                    </xsl:otherwise>
                  </xsl:choose>
                </xsl:otherwise>
                </xsl:choose>
                <!--<xsl:value-of select="@ctxPoznamkaKHlasovaniu" />-->
              </td>
            </tr>
          </table>
          <table border="1" bordercolor="black" width="100%">
            <tr>
              <td align="center">
                <!-- text ci bolo alebo nebolo prijate -->
                <font class="nadpis_blue">
                  <xsl:choose>
                    <xsl:when test="@result='A'">
                      Návrh byl schválen
                    </xsl:when>
                    <xsl:when test="@result='R'">
                      Návrh nebyl schválen
                    </xsl:when>
                    <xsl:when test="@result='I'">
                      Neplatné hlasování
                    </xsl:when>
                    <xsl:otherwise>
                      -                  
                    </xsl:otherwise>
                  </xsl:choose>
                </font>
              </td>
            </tr>
          </table>
          <table width="100%">
            <tr>
              <td width="20%">
                <font class="nadpis_vysl">
                  Přítomno: <xsl:value-of select="/VotingResult/@present"/>                  
                </font>
              </td>
              <td width="20%">
                <font class="nadpis_vysl">
                  Ano: <xsl:value-of select="/VotingResult/@aye"/>
                </font>
              </td>
              <td width="20%">
                <font class="nadpis_vysl">
                  Ne: <xsl:value-of select="/VotingResult/@no"/>
                </font>
              </td>
            </tr>

            <tr>
              <td width="20%">
                <font class="nadpis_vysl">
                  Zdržel se: <xsl:value-of select="/VotingResult/@abstained"/>
                </font>
              </td>
            </tr>
            <tr>
              <td width="20%">
                <font class="nadpis_vysl">
                  Nehlasovali: <xsl:value-of select="/VotingResult/@not_voting"/>
                </font>
              </td>              
            </tr>
          </table>
          <xsl:for-each select="/VotingResult/Clubs/Club" >
            <!-- hlasovanie poslancov jednej strany -->
            <xsl:apply-templates select="." />
          </xsl:for-each>
        </center>
  </xsl:template>

  <!-- zaramovana tabulka o hlasovani poslancov jedneho poslaneckeho klubu -->
  <xsl:template match="Club">
    <table width="90%" border="0" cellspacing="0">
      <tr>
        <td>
          <table width="100%" border="0">
            <tr>
              <th width="100%" align="left">
                <xsl:value-of select="@label"/>
                (Přítomno:<xsl:value-of select="@present"/>, Ano:<xsl:value-of select="@aye" />, Ne:<xsl:value-of select="@no" />, Zdržel se:<xsl:value-of select="@abstained" />, Nehlasovalo:<xsl:value-of select="@not_voting"/>)
              </th>
            </tr>
          </table>
        </td>
      </tr>
      <tr>
        
       <!-- poslanci sem -->

        <td>
          <table width="100%" border="0">
            <tr>
              <xsl:for-each select="Member">
                <xsl:variable name="memberId" select="@deputyId"/>
                <xsl:variable name="memberPosition" select="position()"/>

                <xsl:for-each select="/VotingResult/Deputy">
                  <xsl:if test="@id = $memberId">

                    <!-- zalomime riadok ak je potrebne -->
                    <xsl:if test="($memberPosition &gt; 2) and (($memberPosition mod 4) = 1)">
                      <!--<tr></tr>-->
                      <xsl:text disable-output-escaping="yes">&lt;/tr></xsl:text>
                      <xsl:text disable-output-escaping="yes">&lt;tr></xsl:text>
                    </xsl:if>

                    <!-- vypiseme hlasovanie jedneho poslanca -->
                    <xsl:apply-templates select="."/>

                  </xsl:if>
                </xsl:for-each>
              </xsl:for-each>
            </tr>
          </table>
        </td>
      </tr>
    </table>
  </xsl:template>

  <!-- udaje o hlasovani jedneho poslanca ( dva stlpce v tabulke poslaneckeho klubu ) -->
  <xsl:template match="Deputy">
    <td align="right" nowrap="" width ="20%">
      <xsl:value-of select ="@name"/>
      <xsl:value-of select ="' '"/>
      <xsl:value-of select ="@first_name"/>
      <xsl:value-of select ="': '"/>
    </td>
    <td align="left" nowrap="" width ="5%">    
      <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
      <xsl:choose>
        <xsl:when xml:space="preserve" test="@vote = 'AYE'">Ano</xsl:when>
        <xsl:when xml:space="preserve" test="@vote = 'NO'">Ne</xsl:when>
        <xsl:when xml:space="preserve" test="@vote = 'ABSTAINED'">Zdržel se</xsl:when>
        <xsl:when xml:space="preserve" test="@vote = 'NOT_VOTING'">Nehlasoval</xsl:when>
        <xsl:when xml:space="preserve" test="@vote = 'MISSING'"></xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="@vote"/>
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </xsl:template>

</xsl:stylesheet>